# $Revision: 1.11 $, $Date: 2012/03/21 07:21:22 $
#
# Conditional build:
%bcond_with	tests	# perform "make check" (uses localhost network, fails on apr side when IPV6 is enabled and localhost resolves only to IPV4 addresses)
#
Summary:	A high-performance asynchronous HTTP client library
Summary(pl.UTF-8):	Wysokowydajna biblioteka asynchronicznego klienta HTTP
Name:		serf
Version:	1.0.3
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: http://code.google.com/p/serf/downloads/list
Source0:	http://serf.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	d612ef59c89c19957e5c2a16c68fd4d3
Patch0:		%{name}-sh.patch
URL:		http://code.google.com/p/serf/
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The serf library is a C-based HTTP client library built upon the
Apache Portable Runtime (APR) library. It multiplexes connections,
running the read/write communication asynchronously. Memory copies and
transformations are kept to a minimum to provide high performance
operation.

%description -l pl.UTF-8
Biblioteka serf to napisana w C biblioteka klienta HTTP stworzona w
oparciu o bibliotekę Apache Portable Runtime (APR). Obsługuje
połączenia naprzemiennie, wywołując asynchronicznie komunikację
odczyt-zapis. Kopiowanie i transformacje w pamięci są ograniczone do
minimum w celu zapewnienia wydajnego działania.

%package devel
Summary:	Header files for serf
Summary(pl.UTF-8):	Pliki nagłówkowe serf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	apr-devel
Requires:	apr-util-devel

%description devel
C header files for the serf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki serf.

%package static
Summary:	Static libraries for serf
Summary(pl.UTF-8):	Biblioteki statyczne serf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static serf libraries.

%description static -l pl.UTF-8
Statyczne biblioteki serf.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I build
%{__autoconf}
%configure \
	--with-apr=%{_prefix} \
	--with-apr-util=%{_prefix} \
	--with-openssl=%{_prefix}
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT%{_libdir}/lib*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES NOTICE README
%attr(755,root,root) %{_libdir}/libserf-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libserf-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libserf-1.so
%{_libdir}/libserf-1.la
%{_includedir}/serf*.h
%{_pkgconfigdir}/serf-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libserf-1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: serf.spec,v $
Revision 1.11  2012/03/21 07:21:22  arekm
- up to 1.0.3

Revision 1.10  2012/02/16 18:44:30  qboosh
- updated to 1.0.1

Revision 1.9  2011/07/24 16:19:16  qboosh
- updated to 1.0.0 (note: new library name)

Revision 1.8  2011/03/14 18:41:41  qboosh
- updated to 0.7.2

Revision 1.7  2011/02/04 17:18:03  qboosh
- updated to 0.7.1 (fixes SSL-related memory leak)

Revision 1.6  2011/01/28 02:24:50  sparky
- BR: zlib-devel

Revision 1.5  2010/11/20 10:26:07  qboosh
- chmod 755 to allow rpm to find library deps

Revision 1.4  2010/11/16 21:23:17  qboosh
- updated to 0.7.0
- added sh patch (quotes fix needed by ksh)

Revision 1.3  2009/01/31 20:05:57  arekm
- up to 0.3.0

Revision 1.2  2008/08/31 22:34:27  qboosh
- pl

Revision 1.1  2008/08/08 20:17:53  arekm
- initial pld release
